#!/usr/bin/make -f

export DH_ALWAYS_EXCLUDE=.svn

%:
	dh $@

override_dh_auto_test:
	# copy dfsg-free json.js here, otherwise tests won't find it and fail
	cp debian/json.js blib/lib/auto/share/dist/Jifty/web/static/js/

	LANG=C http_proxy= dh_auto_test

override_dh_clean:
	dh_clean
	rm -rf t/TestApp-RestartServer/var
	find $(CURDIR) -name "*testapp*" -delete

override_dh_auto_install:
	dh_auto_install
	for lang in de ja zhtw ; do \
		mkdir -pv $(CURDIR)/debian/tmp/usr/share/man/$$lang/man3 ; \
	done
	find $(CURDIR)/debian/tmp -name '*_*.3pm' | \
		prename -v 's|/man3/(.+)_(.+).3pm$$|/$$2/man3/$$1.3pm|'

override_dh_install:
	dh_install -pjifty debian/tmp/usr/share/perl5/Jifty/Manual/Tutorial* usr/share/perl5/Jifty/Manual/
	dh_install -plibjifty-perl \
		-XManual/Tutorial \
		-Xjs/prototypism/scriptaculous \
		-Xjs/iefixes \
		debian/tmp/*

override_dh_fixperms:
	dh_fixperms
	# fix some mistake in right on web files
	chmod 644 $(CURDIR)/debian/libjifty-perl/usr/share/perl5/auto/share/dist/Jifty/web/static/css/*.css
	chmod 644 $(CURDIR)/debian/libjifty-perl/usr/share/perl5/auto/share/dist/Jifty/web/static/js/i*.js
	chmod 644 $(CURDIR)/debian/libjifty-perl/usr/share/perl5/auto/share/dist/Jifty/web/static/js/jquery.*.js
	chmod 644 $(CURDIR)/debian/libjifty-perl/usr/share/perl5/auto/share/dist/Jifty/plugins/Jifty/Plugin/AdminUI/web/templates/__jifty/admin/_elements/nav
	chmod 644 $(CURDIR)/debian/libjifty-perl/usr/share/perl5/auto/share/dist/Jifty/web/static/images/facebox/*.gif
